typedef union {
	const char      *v_str;
	double	         v_float;
	int		 v_int;
	gboolean	 v_bool;
	GSList	        *list;

	struct {
		const char *name;
		gboolean    as_new;
	} v_dim_type;

	struct {
		gboolean    is_array;
		GSList     *indices;
	} v_array;
	GBIndex            *v_index;

	GBValue		   *value;
	const GBExpr	   *expr;
	const GBStatement  *stmt;
	GBObjRef           *objr;
	GBArgDesc          *v_arg;
	GBSelectCase       *v_case;
	GBVar              *v_var;
	
	GBFormItem         *v_form_item;
	GBFormProperty     *v_form_prop;
	GBClassProperty    *v_class_prop;

	GBAttribute        *v_attr;
	GBCaseExpr         *v_case_expr;
} YYSTYPE;
#define	NAME	257
#define	STRING	258
#define	FRX	259
#define	GB_GOTO_LABEL	260
#define	GB_OBJ_NAME_LPAR	261
#define	FLOAT	262
#define	SINGLE	263
#define	INTEGER	264
#define	LONG	265
#define	GB_GE	266
#define	GB_LE	267
#define	GB_MOD	268
#define	GB_ARG_ASSIGN	269
#define	GB_IS	270
#define	GB_EQV	271
#define	GB_LIKE	272
#define	GB_IMP	273
#define	GB_AND	274
#define	GB_OR	275
#define	GB_XOR	276
#define	GB_NOT	277
#define	GB_LEXTYPE_ASP	278
#define	GB_LEXTYPE_FILE	279
#define	GB_LEXTYPE_EXPR	280
#define	GB_LEXTYPE_STATEMENTS	281
#define	GB_ACTIVATE	282
#define	GB_ALIAS	283
#define	GB_AS	284
#define	GB_ATTRIBUTE	285
#define	GB_APPEND	286
#define	GB_BASE	287
#define	GB_BEGIN	288
#define	GB_BEEP	289
#define	GB_CALL	290
#define	GB_CASE	291
#define	GB_CLASS	292
#define	GB_CLOSE	293
#define	GB_COMPARE	294
#define	GB_CONST	295
#define	GB_DATE	296
#define	GB_DECLARE	297
#define	GB_DEFTYPE	298
#define	GB_DELETESETTING	299
#define	GB_DIM	300
#define	GB_DO	301
#define	GB_EACH	302
#define	GB_ELSE	303
#define	GB_END	304
#define	GB_ELSE_IF	305
#define	GB_ERASE	306
#define	GB_ERROR	307
#define	GB_EXIT	308
#define	GB_EXPLICIT	309
#define	GB_FALSE	310
#define	GB_FILECOPY	311
#define	GB_FOR	312
#define	GB_FUNCTION	313
#define	GB_GET	314
#define	GB_GLOBAL	315
#define	GB_GOSUB	316
#define	GB_GOTO	317
#define	GB_IF	318
#define	GB_INPUT	319
#define	GB_KILL	320
#define	GB_LSET	321
#define	GB_LET	322
#define	GB_LIB	323
#define	GB_LEN	324
#define	GB_LINE	325
#define	GB_LOAD	326
#define	GB_LOCK	327
#define	GB_LOOP	328
#define	GB_MID	329
#define	GB_MKDIR	330
#define	GB_NAME	331
#define	GB_NEXT	332
#define	GB_ON	333
#define	GB_OPEN	334
#define	GB_OPTION	335
#define	GB_OUTPUT	336
#define	GB_PRINT	337
#define	GB_PRIVATE	338
#define	GB_PROPERTY	339
#define	GB_PUBLIC	340
#define	GB_PUT	341
#define	GB_RSET	342
#define	GB_RANDOM	343
#define	GB_RANDOMIZE	344
#define	GB_REDIM	345
#define	GB_REM	346
#define	GB_RESET	347
#define	GB_RESUME	348
#define	GB_RETURN	349
#define	GB_RMDIR	350
#define	GB_RND	351
#define	GB_SAVESETTING	352
#define	GB_SCALE	353
#define	GB_SEEK	354
#define	GB_SELECT	355
#define	GB_SENDKEYS	356
#define	GB_SET	357
#define	GB_SETATTR	358
#define	GB_STATIC	359
#define	GB_STOP	360
#define	GB_SUB	361
#define	GB_THEN	362
#define	GB_TIME	363
#define	GB_TRUE	364
#define	GB_TYPE	365
#define	GB_UNLOAD	366
#define	GB_UNLOCK	367
#define	GB_VERSION	368
#define	GB_WEND	369
#define	GB_WHILE	370
#define	GB_WIDTH	371
#define	GB_WITH	372
#define	GB_WITH_EVENTS	373
#define	GB_WRITE	374
#define	GB_NEW	375
#define	GB_TO	376
#define	GB_STEP	377
#define	GB_PARAM_ARRAY	378
#define	GB_BYREF	379
#define	GB_BYVAL	380
#define	GB_OPTIONAL	381
#define	GB_NOTHING	382
#define	GB_IN	383
#define	GB_BINARY	384
#define	GB_TEXT	385
#define	GB_DATABASE	386
#define	GB_MODULE	387
#define	GB_UNTIL	388
#define	GB_PRESERVE	389
#define	GB_ASP_START	390
#define	GB_ASP_START_AT	391
#define	GB_ASP_START_EXPR	392
#define	GB_ASP_END	393
#define	GB_BEGIN_PROPERTY	394
#define	GB_END_PROPERTY	395
#define	GB_OBJECT	396
#define	GB_KEEP_LOOKING	397
#define	GB_SPACE_DOT	398
#define	GB_NE	399
#define	UNARY_NEG	400
#define	UNARY_POS	401

